## pixiewps 1.2.2

=== Makefile ===
include $(TOPDIR)/rules.mk

include version.mk

PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)

include $(INCLUDE_DIR)/package.mk

define Package/pixiewps
	SECTION:=net
	CATEGORY:=Network
	SUBMENU:=wireless
	TITLE:=An offline WPS bruteforce utility
	URL:=https://github.com/wiire/pixiewps
endef

define Package/pixiewps/description
	An offline WPS bruteforce utility
endef

define Build/Prepare
	mkdir -p $(PKG_BUILD_DIR)
	$(CP) ./src/* $(PKG_BUILD_DIR)/
endef

define Package/pixiewps/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/pixiewps $(1)/usr/bin/
endef

$(eval $(call BuildPackage,pixiewps))

=== src/Makefile ===
CCFLAGS = -std=c99 -O3

TARGET = pixiewps
CRYPTO = crypto/sha256.c crypto/md.c crypto/md_wrap.c
SOURCE = $(TARGET).c random_r.c $(CRYPTO)
PREFIX = $(DESTDIR)/usr
BINDIR = $(PREFIX)/bin
LOCDIR = $(PREFIX)/local/bin

all:
	$(CC) $(CCFLAGS) -o $(TARGET) $(SOURCE)

debug:
	$(CC) $(CCFLAGS) -DDEBUG -o $(TARGET) $(SOURCE)

install:
	rm -f $(BINDIR)/$(TARGET)
	rm -f $(LOCDIR)/$(TARGET)
	install -d $(DESTDIR)$(LOCDIR)
	install -m 755 $(TARGET) $(DESTDIR)$(LOCDIR)

uninstall:
	rm $(BINDIR)/$(TARGET)

clean:
	rm -f $(TARGET)

=== debian/changelog ===
pixiewps (1.2.2-1) unstable; urgency=medium

  * Initial release, thanks for Sophie Brun and Mati Aharoni, whom worked
    on pixiewps on Kali. (Closes: #835199)

 -- Samuel Henrique <samueloph@gmail.com>  Sat, 03 Sep 2016 22:47:48 -0300

=== debian/control ===
Source: pixiewps
Section: net
Priority: extra
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Samuel Henrique <samueloph@gmail.com>,
           Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Homepage: https://github.com/wiire/pixiewps
Vcs-Git: https://anonscm.debian.org/git/pkg-security/pixiewps.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/pixiewps.git

Package: pixiewps
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Offline WPS bruteforce tool
 Pixiewps is a tool written in C used to bruteforce offline the WPS pin
 exploiting the low or non-existing entropy of some APs (pixie dust attack).
 It is meant for educational purposes only.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	dh_auto_install -- LOCDIR="" PREFIX=/usr

## pixiewps 1.3

=== src/Makefile ===
CCFLAGS ?= -std=c99 -O3

TARGET = pixiewps
CRYPTO = crypto/sha256.c crypto/md.c crypto/md_wrap.c
SOURCE = $(TARGET).c random_r.c $(CRYPTO)
PREFIX ?= $(DESTDIR)/usr
BINDIR = $(PREFIX)/bin

all:
	$(CC) $(CFLAGS) $(CCFLAGS) $(CPPFLAGS) -o $(TARGET) $(SOURCE) $(LDFLAGS)

debug:
	$(CC) $(CLFAGS) $(CCFLAGS) $(CPPFLAGS) -DDEBUG -o $(TARGET) $(SOURCE) $(LDFLAGS)

install:
	rm -f $(BINDIR)/$(TARGET)
	install -d $(BINDIR)
	install -m 755 $(TARGET) $(BINDIR)

uninstall:
	rm -f $(BINDIR)/$(TARGET)

clean:
	rm -f $(TARGET)

=== debian/changelog ===
pixiewps (1.3-2) unstable; urgency=low

  * d/control: replace priority extra with optional, comply with
    d-policy>=4.0.1, this was supposed to be on the previous packaging

 -- Samuel Henrique <samueloph@gmail.com>  Mon, 16 Oct 2017 22:23:24 -0200

pixiewps (1.3-1) unstable; urgency=medium

  * New upstream version 1.3
  * Bump Standards-Version to 4.1.1
  * Use manpage submited at upstream
  * d/copyright: update year
  * d/patches: drop makefile patch applied upstream
  * d/rules: remove dh_auto_install override

 -- Samuel Henrique <samueloph@gmail.com>  Tue, 10 Oct 2017 23:00:58 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: pixiewps
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
 Uploaders: Samuel Henrique <samueloph@gmail.com>,
            Daniel Echeverry <epsilon77@gmail.com>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/wiire/pixiewps
 Vcs-Git: https://anonscm.debian.org/git/pkg-security/pixiewps.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/pixiewps.git

## pixiewps 1.4.2

=== Makefile ===
CFLAGS = -O3

PREFIX ?= /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man

SRCDIR = src
HDRS = $(SRCDIR)/config.h $(SRCDIR)/endianness.h $(SRCDIR)/version.h
HDRS += $(SRCDIR)/pixiewps.h $(SRCDIR)/utils.h $(SRCDIR)/wps.h

# Internal flags so one can safely override CFLAGS, CPPFLAGS and LDFLAGS
INTFLAGS = -std=c99 -I $(SRCDIR)/crypto/tc
LIBS = -lpthread

ifeq ($(OPENSSL),1)
LIBS += -lcrypto
INTFLAGS += -DUSE_OPENSSL
endif

TARGET = pixiewps

include $(SRCDIR)/crypto/tfm/sources.mak
TFMSRC = $(patsubst ./%,$(SRCDIR)/crypto/tfm/%,$(TFM_SRCS))
TFMOBJS = $(TFMSRC:.c=.o)
TC_SRCS = ./aes_cbc.c ./aes.c
TCSRC = $(patsubst ./%,$(SRCDIR)/crypto/tc/%,$(TC_SRCS))
TCOBJS = $(TCSRC:.c=.o)

SOURCE = $(SRCDIR)/pixiewps.c

-include config.mak

.PHONY: all install install-bin install-man strip clean

all: $(TARGET)

$(TARGET): $(SOURCE) $(HDRS) $(TFMOBJS) $(TCOBJS)
	$(CC) $(INTFLAGS) $(CFLAGS) $(CPPFLAGS) -o $(TARGET) $(SOURCE) $(LIBS) $(LDFLAGS) $(TFMOBJS) $(TCOBJS)

$(SRCDIR)/crypto/tfm/%.o: $(SRCDIR)/crypto/tfm/%.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -I$(SRCDIR)/crypto/tfm -c -o $@ $<

$(SRCDIR)/crypto/tc/%.o: $(SRCDIR)/crypto/tc/%.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -I$(SRCDIR)/crypto/tc -c -o $@ $<

install: install-bin install-man

install-bin: $(TARGET)
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 $< $(DESTDIR)$(BINDIR)

install-man: pixiewps.1
	install -d $(DESTDIR)$(MANDIR)/man1
	install -m 644 $< $(DESTDIR)$(MANDIR)/man1

strip: $(TARGET)
	strip $(TARGET)

clean:
	rm -f $(TARGET) $(TFMOBJS) $(TCOBJS)

=== debian/changelog ===
pixiewps (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.2
  * Update debian/copyright
  * Update debian/rules and refresh patch
  * Update debian/control with new Vcs*
  * Bump Standards-Version to 4.1.3

 -- Sophie Brun <sophie@freexian.com>  Wed, 21 Feb 2018 17:49:33 +0100

pixiewps (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * Bump Standards-Version to 4.1.2
  * d/copyright: update years
  * d/patches:makefile: new patch to addres Makefile flags

 -- Samuel Henrique <samueloph@gmail.com>  Thu, 21 Dec 2017 20:47:19 -0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Samuel Henrique <samueloph@gmail.com>,
            Daniel Echeverry <epsilon77@gmail.com>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/wiire/pixiewps
-Vcs-Git: https://anonscm.debian.org/git/pkg-security/pixiewps.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/pixiewps.git
+Vcs-Git: https://salsa.debian.org/pkg-security-team/pixiewps.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/pixiewps
 
 Package: pixiewps
 Architecture: any

=== debian/watch ===
version=4
https://github.com/wiire/pixiewps/tags (?:.*/)?v?(\d.*)\.tar\.gz
